Bug 1644728 - OSv build fails because of qemu assertion failure
Summary: OSv build fails because of qemu assertion failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-31 13:45 UTC by Nadav Har'El
Modified: 2018-12-04 03:01 UTC (History)
10 users (show)

Fixed In Version: qemu-3.0.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-04 03:01:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Nadav Har'El 2018-10-31 13:45:52 UTC
Trying "make check" on OSv (https://github.com/cloudius-systems/osv), which runs a virtual machine with qemu/kvm as part of the build process, crashes on my Fedora 29 with qemu-kvm-3.0.0-1.fc29.x86_64, with the following message:


OSv v0.52.0-6-gea75831f
qemu-system-x86_64: /builddir/build/BUILD/qemu-3.0.0/include/exec/memory_ldst_cached.inc.h:85: address_space_stw_le_cached: Assertion `addr < cache->len && 2 <= cache->len - addr' failed.
qemu failed.

The first line ("OSv...") shows the guest started running properly, but then crashed.

I suspect this is the same as https://bugs.launchpad.net/qemu/+bug/1795148 and according to that tracker, the bug was solved upstream and the fix could be backported.

Comment 1 Cole Robinson 2018-10-31 14:10:43 UTC
Thanks for finding the upstream bug, I'll try backporting it

commit db812c4073c77c8a64db8d6663b3416a587c7b4a
Author: Paolo Bonzini <pbonzini@redhat.com>
Date:   Thu Aug 23 14:21:23 2018 +0200

    virtio: update MemoryRegionCaches when guest negotiates features

Comment 2 Paolo Bonzini 2018-10-31 18:09:08 UTC
Yes, it's that commit.  However f29 and rawhide builds are failing like this: https://koji.fedoraproject.org/koji/getfile?taskID=30576602&volume=DEFAULT&name=build.log&offset=-4000

Comment 3 Fedora Update System 2018-11-17 13:44:33 UTC
qemu-3.0.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-87f2ace20d

Comment 4 Fedora Update System 2018-11-18 05:21:15 UTC
qemu-3.0.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-87f2ace20d

Comment 5 Nadav Har'El 2018-12-03 13:08:53 UTC
I can confirm that qemu-kvm-3.0.0-2.fc29, which I got from the testing repository, via "dnf update --enablerepo=updates-testing qemu-kvm", fixes the bug.

Too bad that after two weeks, it still hasn't reached the main updates repository.

Comment 6 Paolo Bonzini 2018-12-03 13:53:21 UTC
I pushed it now.

Comment 7 Fedora Update System 2018-12-04 03:01:46 UTC
qemu-3.0.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.